blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
0f895a41c7cb20f1588da6295e4ca4e99d28a1f0
Shell
adefaria/clearscm
/clients/HP/bin/unmount_nfs
UTF-8
2,469
3.984375
4
[]
no_license
#!/bin/ksh ################################################################################ # # File: mount_nfs # RCS: $Header:$ # Description: A script to mount all nfs mounts. Note if the automounter is # running then this script will first shutdown the automounter. # This script returns 0 for suc...
true
3f385a2f226f47cc9f8670a7daa64212753d608d
Shell
xformation/docker-builders
/confluence/setup-confluence-db.sh
UTF-8
702
3.1875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash echo "******CREATING CONFLUENCE DATABASE******" PGPASSWORD=postgres psql -h ${DB_HOST} -p 5432 --username postgres <<- EOSQL CREATE USER confluence WITH PASSWORD 'confluence'; CREATE DATABASE confluence WITH ENCODING 'UNICODE' LC_COLLATE 'C' LC_CTYPE 'C' \ TEMPLATE template0; GRANT ALL PRIVI...
true
e9e2d79589d74e86e49e7a936e607a4c23d8599d
Shell
curusarn/dotfiles
/dotfiles_old/bin/last_system_update_apt
UTF-8
210
3.03125
3
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/bin/bash # prints DAYS since last system update # pacman log log='/var/log/pacman.log' secs_then=`stat /var/lib/apt/lists --printf="%Y"` secs_now=`date +%s` echo $(( ($secs_now - $secs_then) / 86400))
true
38affe2032bca43c0bfc9830c29228756d60f590
Shell
songzy12/HackerRank
/Shell/Bash/arithmetic_operations.sh
UTF-8
142
2.78125
3
[]
no_license
# https://www.hackerrank.com/challenges/bash-tutorials---arithmetic-operations/problem read exp res=$(echo $exp | bc -l) printf "%.3f" "$res"
true
b45c79cbe4f0a56df31a48331feeb88edca696b9
Shell
thecodingmachine/docker-images-php
/tests-suite/variant-apache.sh
UTF-8
3,402
3.421875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash . ./config if [[ $VARIANT != apache* ]]; then echo "-- There is not an 'apache' variant" return 0; fi; ############################################################ ## Run apache and try to retrieve var content ############################################################ test_displayVarInPhp() {...
true
10ec2d34bb328feb8f29657e93119685c3eb3bda
Shell
larsll/deepracer-for-cloud
/scripts/training/start.sh
UTF-8
5,472
3.765625
4
[]
no_license
#!/usr/bin/env bash source $DR_DIR/bin/scripts_wrapper.sh usage(){ echo "Usage: $0 [-w] [-q | -s | -r [n] | -a ] [-v]" echo " -w Wipes the target AWS DeepRacer model structure before upload." echo " -q Do not output / follow a log when starting." echo " -a Follow all Sage...
true
c0855b773776799dffbad8408492dc682eefbf0f
Shell
prydzynski/OpenVAS-Automation
/init_vas.sh
UTF-8
414
3.15625
3
[]
no_license
#!/bin/bash clear echo "--------------------------------" echo "--------Input File Name---------" read -p "Please enter the file path and name [/path/to/file.csv]: " in_file while read -u10 line do scanner=$(echo $line | awk -F',' '{ print $1 }') echo "Initializing $scanner" ssh -i /root/Documents/openvas/.slavek...
true
59925d50fa296ef81acb19a8a353cf22755ab009
Shell
ioppermann/munin-contrib
/plugins/network/ethtool_
UTF-8
1,847
3.78125
4
[]
no_license
#!/bin/sh # -*- sh -*- # # Plugin to monitor unusual activity/errors from ethernet driver/hardware. # # Parameters: # # config (required) # autoconf (optional - only used by munin-config) # # Environment variables (optional): # # IGNORED_FIELDS: comma-separated list of fields (or field endings) to ignore # WA...
true
0e1ebbc29c6b046f63e2646f39117786d1927c38
Shell
Rong419/ConstantDistanceOperator
/optimization/other_three_datasets/template/write_xml.sh
UTF-8
301
2.734375
3
[]
no_license
#!/bin/sh for data in {anolis,Shankarappa,RSV2} do for param in {1..2} do for sim in {1..30} do sed "s/FILE/${param}_${sim}/g" ./${data}_${param}.xml > ./xml/${data}_${param}_${sim}.xml echo "use ${data}_${param}.xml to write ./${data}_${param}_${sim}.xml" done done done
true
c5426402fb30f54eb285a062e1302b4330d46ccf
Shell
plesager/ece3-postproc
/reproducibility/collect_ens.sh
UTF-8
3,797
4
4
[]
no_license
#!/bin/bash # # Purpose # ======= # Extract the Reichler & Kim performance indices for a set of variables and # from all members of an ensemble. # The result is one file per variable, format expected by the R scripts. # # Option to tar the results with the 2x2 climatology of all runs # Author: Martin Ménégo...
true
12a410f95e46a644e70e00cb9b444fbfb1255c7c
Shell
CHENHERNGSHYUE/shell
/0219/awk_test/calculate.sh
UTF-8
270
3.546875
4
[]
no_license
#!/bin/bash add(){ echo $1 $2|awk '{print $1+$2}' } minus(){ echo $1 $2|awk '{if($1>$2){print $1-$2}else{print $2-$1}}' } select i in "add" "minus" do case $i in add) add $1 $2 exit ;; minus) minus $1 $2 exit ;; *) echo no idea ;; esac done
true
fd9433510858860f673f054552ee6f1c24766581
Shell
scallacs/fstricks
/resources/scripts/archive_logs.sh
UTF-8
409
3.046875
3
[]
no_license
BACKUP_FOLDER="~/backup/fstricks/logs" #COMPRESSOR_BIN = "C:\Program Files\WinRar\rar.exe" COMPRESSOR_BIN="tar" COMPRESSOR_FLAGS="cfzv ${BACKUP_FOLDER}/$(date +%Y-%m-%d).tar.gz" LOGS_FOLDER="/var/www/fstricks/logs" echo "Creating backup folder: $BACKUP_FOLDER" # Database backup mkdir -p $BACKUP_FOLDER ${COMPRESSOR_BIN...
true
28eb9c1481a81e8efd2f5e9f1b1ea726ad3b8a23
Shell
wizzdev-pl/esp32_examples
/scripts/upload_all.sh
UTF-8
1,396
3.59375
4
[]
no_license
#!/bin/bash set -e USERDIR=$(pwd) BASEDIR=$(dirname "$0") cd "$BASEDIR" cd ./../ # In MicroPython dir if [[ "$VIRTUAL_ENV" != "" ]]; then # TODO: Better solution to check if is in venv INVENV=1 else INVENV=0 fi if test "$INVENV" ; then echo "Already in venv" else if source ./venv/bin/activate; then e...
true
981b2da4e9ed026ce4144dda577aecb55acfcaf4
Shell
dejayou/dotfiles
/home/.bin/rebase_branch
UTF-8
834
3.96875
4
[]
no_license
#!/bin/bash if [[ $1 = '-v' ]]; then echo Usage: rebase_branch [branch=master] exit fi # MAIN_BRANCH will use the first parameter or default to 'master' MAIN_BRANCH=${1-master} BRANCH=`git symbolic-ref HEAD | sed 's#refs/heads/##'` BRANCH_HAS_DIRTY_FILES=`git diff-index --name-only HEAD --` if [[ $MAIN_BRANCH =...
true
de6fb5a8a408c07e21f5609787bbf0d459f06ae5
Shell
jianguda/repairnator
/resources/scripts/check_commit_branch.sh
UTF-8
1,497
4.3125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash if [ "$#" -ne 1 ]; then echo "Usage: ./check_commit_branch.sh <Github repository>" exit -1 fi TMP_FILE_OLDBRANCHES=/tmp/oldbranches_`uuidgen` TMP_FILE_COUNTER=/tmp/counter_`uuidgen` if [ ! -d "$1" ]; then TMP_GIT_DIR=/tmp/clean_repo_`uuidgen` REPO=$1 mkdir $TMP_GIT_DIR cd ...
true
dd22bd03d07f453d96da9e7926734a69f54395d4
Shell
deepcoder42/mysql-db-admin
/test/unit/sonarqube_code_coverage.sh
UTF-8
2,043
2.859375
3
[ "MIT" ]
permissive
#!/bin/bash # Unit test code coverage for SonarQube to cover all modules. # This will run the Python code coverage module against all unit test modules. # This will show the amount of code that was tested and which lines of code # that was skipped during the test. coverage erase echo "" echo "Running unit test ...
true
af7a3a7b206a382f785ba5c3c9008975e934046f
Shell
MultiValue-University/xdemo-uv-lin
/scripts/mvu_rfs_app_setup.sh
UTF-8
9,820
3.6875
4
[]
no_license
#!/bin/sh ################################################################# # This script is created for the purpose of excising the UVRFS # related demos provided Rocket Software Multi-Value University. ################################################################# # check the usage if [ "$1" != "install" -a "$...
true
42e2ed40bda3fe239dd9e366644e4ebd176d0da1
Shell
isabella232/dsp
/dsp-regression-framework/src/main/dsp-docker-images/service/ipp-dsp-service.postinst
UTF-8
525
3.140625
3
[]
no_license
#!/bin/bash set -ex PAC=ipp-dsp-service APP_UID=fk-idf-dev APP_GID=fk-idf-dev variant=base CMD="$1" if [ "$CMD" == "configure" ]; then chown -R $APP_UID:$APP_GID /usr/share/$PAC chown -R $APP_UID:$APP_GID /etc/$PAC chown -R $APP_UID:$APP_GID /var/log/flipkart/$PAC chmod -R 777 /etc/$PAC fi chmod 7...
true
308dbdca37500a79f2c45bbc577ae882ce3b7422
Shell
122448281/myproject
/house/soufang/year_price/get_price_by_year.sh
UTF-8
438
2.8125
3
[]
no_license
#!/bin/sh tmpfile=tmp1.$0 wget "http://fangjia.fang.com/pinggu/ajax/chartajax.aspx?dataType=4&city=%u5317%u4EAC&Class=defaultnew&year=8" -O $tmpfile sed -i 's/&/\n/g' $tmpfile sed -i 's/],/]\n/g' $tmpfile sed -i 's/\[\[/******\n\[/g' $tmpfile sed -i 's/\]\]/]\n******/g' $tmpfile cat $tmpfile | sed 's/\[//g' | sed 's/\...
true
0dd24c9f9ddad0881517c49cb9e859ffb654a54f
Shell
so5/JHPCN-DF
/tests/BenchmarkTest/comp.sh
UTF-8
2,499
2.890625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh ################################################################################### # # JHPCN-DF : Data compression library based on # Jointed Hierarchical Precision Compression Number Data Format # # Copyright (c) 2014-2015 Advanced Institute for Computational Science, RIKEN. # All rights reserve...
true
eaa93986385e67936c6fab3a4b3c4e56c7e02ab7
Shell
hnakamur/postgresql-pgpool2-failover-example-playbook
/roles/postgresql_db/templates/recovery_1st_stage.j2
UTF-8
1,839
3.65625
4
[ "MIT" ]
permissive
#!/bin/sh # recovery_1st_stage # NOTE: This script must be placed in the PGDATA directory and the filename must # be the same as the recovery_1st_stage_command in pgpool.conf # NOTE: This script is executed on the primary server by the postgres user. # http://www.pgpool.net/docs/latest/pgpool-ja.html#online_recov...
true
4091236285a64cd52e4d13dc85bf46817bde2b1f
Shell
zzzdeb/dotfiles
/scripts/tools/mobileasmonitor
UTF-8
234
2.9375
3
[]
no_license
#!/usr/bin/env bash if [ "$#" -ne 1 ]; then echo "usage: mobileasmonitor MOBILENAME" exit 1 fi VIRT=VIRTUAL1 PRIM=$(xrandr | grep primary | awk '{print $1}') xrandr --output $VIRT --mode "$1" --right-of $PRIM monitor_vnc $VIRT
true
7b2f31966eb11fc8d7655b198cddefb7954655cb
Shell
jmbarberan/heroku-buildpack-nginx-php-phalcon
/support/build/redis
UTF-8
625
3.421875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Build Path: /app/.heroku/redis/ OUT_PREFIX=$1 # fail hard set -o pipefail # fail harder set -eux DEFAULT_VERSION="3.0.3" dep_version=${VERSION:-$DEFAULT_VERSION} dep_dirname=redis-${dep_version} dep_archive_name=${dep_dirname}.tar.gz dep_url=http://download.redis.io/releases/${dep_archive_name}...
true
a477975b8138c30dc0207226edad9f9c4a3a8e6e
Shell
rosnerpn/shellscript
/tarefa1.sh
UTF-8
1,240
3.4375
3
[]
no_license
###################################################### # Nome: Rosner Pelaes Nascimento # # Máteria: Programação Shell Scritp # # Curso: Pós Graduação em Redes de Computadores # # Unimep # # Tarefa - 1 # ###################################################### #!/bin/bash echo "Be...
true
b04d3df77fc63776d33e31d134ff5b4b93e4e034
Shell
alwaysdatas/auto_captions_dl_pc
/youtube.sh
UTF-8
2,158
3.875
4
[]
no_license
#!/bin/bash # # Downloads YouTube captions and cleans them up (makes them a text file and adds punctuation) # requires that there are no text files in current working directory # depenendcies: youTube-dl, sed, rm, cat # Usage: path_to_youtube.sh YouTubeURL for file in "$@" do extension="${file##*.}" basename=`bas...
true
2d29004dcefcd9da0747de6b87dc9cfabd888f56
Shell
ipoval/scripts
/bash_create_account.bash
UTF-8
997
4.0625
4
[]
no_license
#!/usr/bin/env bash # script that reduces account-creation tedium [[ $1 ]] || { echo 'missing argument: username' >&2; exit 1; } while getopts ":a:b" opt; do case $opt in a) echo 'creating account ...' useradd -m $1 passwd $1 mkdir -p /shared/$1 chown $1.users /shared/$1 ch...
true
7fb33163276ec739e689305f8909544e453da5a7
Shell
imlunx/Portfolio_2
/Guessage.sh
UTF-8
1,064
4.125
4
[]
no_license
#!/bin/bash # Student Name : Aaron Ng Wee Xuan # Student Number: 10518970 getRandomNo() { #get random number from 1-83 #life expectancy of Singapore num=$(($RANDOM%83+1)) } guessAge() { getRandomNo echo "Welcome to Guess My Age!" echo "########################" echo "Hint: The average lif...
true
0ce035902aa8362556271ec6860fb7f2822ab876
Shell
noblepepper/ralink_sdk
/source/user/rt2880_app/scripts/config-iTunes.sh
UTF-8
457
3.078125
3
[]
no_license
#!/bin/sh . /sbin/config.sh . /sbin/global.sh usage() { echo "Usage:" echo " $0 <server_name> <passwd> <mp3_dir>" echo "Example:" echo " $0 Ralink ralink /media/sda1/mp3" exit 1 } if [ "$3" = "" ]; then echo "$0: insufficient arguments" usage $0 fi lan_ip=`nvram_get 2860 lan_ipaddr` server_name=$1 passwd=$...
true
02c3e75c371cfc40561c109e0bef27da90f3fec1
Shell
rchain/rdoctor-backend
/run
UTF-8
325
2.609375
3
[]
no_license
#!/bin/bash -e cd "$(readlink -f $(dirname ${BASH_SOURCE:-$0}))" export ELASTIC_VERSION=6.7.0 export RDOCTOR_DATADIR=/var/lib/rdoctor mkdir -p $RDOCTOR_DATADIR/elasticsearch mkdir -p $RDOCTOR_DATADIR/redis chown -R 1000 $RDOCTOR_DATADIR/elasticsearch chown -R 999 $RDOCTOR_DATADIR/redis ./build-docker docker-compos...
true
f4a14bcba2ca8e274db3d2400fdddbaa2590830b
Shell
JoseLuisAcv2/GrupoLinux-scripts
/buscame
UTF-8
260
3.3125
3
[]
no_license
#!/bin/bash #Muestra paquetes instalados que cumplan con patron if [ -z $1 ] ; then echo -e "INGRESE PATRON DE BUSQUEDA\nbuscame [patron]" exit 1 fi aptitude search ~i --disable-columns -F "%p" | grep $1 if [ ! $? = 0 ] ; then echo "NO ESTA INSTALADO" fi
true
a86a0e9210d7610a3a462b77ca14b0fda70a3f13
Shell
delkyd/alfheim_linux-PKGBUILDS
/secure-delete/PKGBUILD
UTF-8
1,156
2.640625
3
[]
no_license
# Original AUR Contributor: Federico Quagliata (quaqo) <linux@quaqo.org> # Uploaded to AUR4: GI_Jack <iamjacksemail@hackermail.com> pkgname=secure-delete pkgver=3.1 pkgfile="secure_delete-$pkgver" pkgrel=7 pkgdesc="Secure file, disk, swap, memory erasure utilities" url="http://www.thc.org/" depends=('glibc' 'sh') ...
true
5c5845b466448d0899cdc5b83064d40331e71f03
Shell
tknpoon/tptcn
/devel/d_scrapy_ccl/runc.sh
UTF-8
707
2.984375
3
[]
no_license
#!/bin/bash DIRNAME=`cd $(dirname $0); pwd` CURDIR=`cd $(dirname $0); pwd` TAG_NAME=$(cd $DIRNAME ; basename `pwd`) [ "${TAG_NAME:0:2}" == "d_" ] && PORTBASE=20000 [ "${TAG_NAME:0:2}" == "u_" ] && PORTBASE=30000 [ "${TAG_NAME:0:2}" == "p_" ] && PORTBASE=40000 [ "${TAG_NAME:0:2}" == "g_" ] && PORTBASE=50000 #PORT25=`...
true
0ba317a1ce518602d062eb9e2bec1d4628fde7c8
Shell
justinthomas/tinyspline
/tools/ci/build.macosx-x86_64.sh
UTF-8
4,548
3.546875
4
[ "MIT" ]
permissive
#!/bin/bash set -e SCRIPT_DIR=$( cd "$(dirname "$0")"; pwd -P) ROOT_DIR="${SCRIPT_DIR}/../.." VOLUME="${SCRIPT_DIR}/build.macosx-x86_64" mkdir -p "${VOLUME}" REPOSITORY="tinyspline" TAG="build.macosx-x86_64" IMAGE_NAME="${REPOSITORY}:${TAG}" STORAGE="/dist" SETUP_CMDS=$(cat << END RUN echo 'debconf debconf/frontend ...
true
3ebd07e7d2dc109e72ce135a2097f227a98f706a
Shell
cyprienbole/livet
/regroup.sh
UTF-8
260
2.5625
3
[]
no_license
# en deux étapes cd wetransfer-daafab/ for i in *.TPS ; do cat $i | grep -e , -e IMAGE | tr -d "\r" | tr "\n" ";" > ../out/$i echo $i >> ../out/$i echo -e "\n" >> ../out/$i done #ici cd ../out cat *.TPS | sed '/^$/d' | tr ' ' ';' > ../alltps.csv
true
c51733b8b372a6911aac90880a7459614d5d1105
Shell
spcl/serverless-benchmarks
/dockerfiles/entrypoint.sh
UTF-8
403
3.390625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash USER_ID=${CONTAINER_UID} GROUP_ID=${CONTAINER_GID} USER=${CONTAINER_USER} useradd --non-unique -m -u ${USER_ID} ${USER} groupmod --non-unique -g ${GROUP_ID} ${USER} mkdir -p /mnt/function && chown -R ${USER}:${USER} /mnt/function export HOME=/home/${USER} echo "Running as ${USER}, with ${USER_ID} and ${GR...
true
38b8894b1503df4a23117e1083c13da220b677bd
Shell
envoyproxy/envoy
/.azure-pipelines/docker/prepare_cache.sh
UTF-8
696
3.75
4
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash -e DOCKER_CACHE_PATH="$1" NO_MOUNT_TMPFS="${2:-}" DOCKER_CACHE_OWNERSHIP="vsts:vsts" TMPFS_SIZE=5G if [[ -z "$DOCKER_CACHE_PATH" ]]; then echo "prepare_docker_cache called without path arg" >&2 exit 1 fi if ! id -u vsts &> /dev/null; then DOCKER_CACHE_OWNERSHIP=azure-pipelines fi echo "Creat...
true
3349dfafb2b8fdfe8eb28672b8decf425a2716e4
Shell
ajminich/prezto
/runcoms/zlogout
UTF-8
357
3.296875
3
[ "MIT" ]
permissive
# # Executes commands at logout. # # Execute code only if STDERR is bound to a TTY. [[ -o INTERACTIVE && -t 2 ]] && { # Jarvis goodbye message echo -e '\033[96mHave a good day, sir.\033[00m' # when leaving the console clear the screen to increase privacy if [ "$SHLVL" = 1 ]; then [ -x /usr/bin/clear_console ] &&...
true
87511dc8cfeb9c8af4a45f060e099d90249c05d3
Shell
opklnm102/workspace
/aws/route53/find-route53-record-sets.sh
UTF-8
674
3.921875
4
[]
no_license
#!/usr/bin/env bash set -o errexit set -o nounset set -o pipefail fail() { echo "ERROR: ${*}" exit 2 } usage() { cat <<-EOM USAGE: ${0##*/} [root domain] e.g. ${0##*/} example.com EOM exit 1 } if [[ $# -lt 1]]; then usage fi # 원하는 도메인의 record sets을 추출 hosted_zone_name=${1} ## read hosted-zones # 여기서 hos...
true
9284c30d789c316c5da7d8e18bca6ab64c8f9d77
Shell
STOP2/stop2-rpi
/bin/csmac
UTF-8
270
2.59375
3
[ "MIT" ]
permissive
#!/bin/sh - # # csmac: change the MAC for the RPi ethernet interface to enable # networking in lab CK110 in Kumpula # # (Assumes we're running Raspbian) MAC=9c:8e:99:f4:e5:d1 ifconfig eth0 down ifconfig eth0 hw ether $MAC ifconfig eth0 up systemctl restart dhcpcd
true
92ad016ea5cc86320ab6e24cbd5a40b18f908cfe
Shell
ningshuang-yao/D3_introgression
/sims/sim_gamma_0.01_seqs_vary_Ne.sh
UTF-8
1,292
2.609375
3
[]
no_license
#!/bin/bash #Change working directory cd /N/dc2/scratch/mhibbins/introgression_statistic/ #Simulate coalescent trees in ms. for i in {1..100} do msdir/ms 4 1000 -T -I 4 1 1 1 1 -ej 4.0 2 1 -ej 0.6 3 2 -ej 0.3 4 3 -es 0.05 3 0.99 -ej 0.05 5 2 | tail -n +4 | grep -v // >revision_seq_sims/vary_Ne/vary_Ne_gamma_0.01/var...
true
c2042a338d638d5dd6f56d003f1e2503de31dfc4
Shell
shreshthajit/Linux
/shellscript_yes.sh
UTF-8
1,348
3.390625
3
[]
no_license
# #! /bin/bash # echo "Hello World" #i am going to write hello world in this file # # to run this file: ./shellscript_yes.sh # # change permission: chmod +x shellscript_yes.sh # # to know the permission: ls -al # #two types of variables:system vaiables and user variables # # below are some system variable...
true
c86b9f188872c535b558c08dd02e03ec9466d075
Shell
toxik/disertatie
/src/updatelist.sh
UTF-8
382
2.71875
3
[ "MIT" ]
permissive
#!/bin/bash PORT=3000 echo "upstream io_nodes { ip_hash; server 127.0.0.1 down; " > ../nginx/conf.d/_io-nodes.conf docker ps | grep "node " | awk '{print $1}' | while read cont; do echo "server $(docker inspect -f '{{.NetworkSettings.IPAddress}}' $cont):$PORT;" >> ../nginx/conf.d/_io-nodes.conf ; done echo } >> ../ngin...
true
30952e34b43c38041fdb7ed5f0d7ffadb4df7168
Shell
stefan0xC/aurutils-container
/build-aur-image.sh
UTF-8
1,756
3.390625
3
[ "MIT" ]
permissive
#!/bin/bash container=$(buildah from archlinux:base-devel) echo "pacman -Syu devtools pacman-contrib vim vifm" buildah run $container pacman -Syu devtools pacman-contrib base-devel vim vifm --noconfirm --needed echo "create user" buildah run $container useradd -m user buildah run $container sed -i "$ a user ALL=(ALL...
true
adaf6122d37f33066e8c6bcfe8a65456aafa5e38
Shell
wschaub/prep-kernel
/etc/initramfs/post-update.d/zig-kernel
UTF-8
133
3.0625
3
[]
no_license
#!/bin/sh set -e version="$1" if prep-kernel --supported >/dev/null 2>&1; then prep-kernel ${version} return 0 fi
true
ab1bb05ba4627ad3cadc50c32d6c4a58dac4be96
Shell
slab14/IoT_Sec_Gateway
/docker_remote/demo_start.sh.v0
UTF-8
2,257
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash IP=$1 DOCKER_PORT=$2 OVS_PORT=$3 NAME="demo_cont" BRIDGE="demo_ovs_br" CONT_IFACE="eth1" BRIDGE_REMOTE_PORT=6633 # Create the container (one that will spin) #curl -X POST -H "Content-Type: application/json" -d '{"Image": "busybox", "C...
true
7d973fec48a36133a2dd2e6ce30432c7ffee5f93
Shell
yuroyoro/dotfiles
/bin/socks-proxy
UTF-8
769
3.875
4
[]
no_license
#!/bin/sh # usage : # socks-proxy [NETWORK] [on|off] [PROXY] [PORT] # socks-proxy Wi-Fi on localhost 1080 # # SOCKSプロキシを使った接続とその設定 - 帽子の中 http://d.hatena.ne.jp/seaborgium/20111227/1324993156 NETWORK=$1 SWITCH=$2 PROXY=$3 PORT=$4 if [ -z "${NETWORK}" ]; then NETWORK="Ethernet" fi if [ -z "${SWITCH}" ]; then SEI...
true
a1726b17e16cdd6123e04dca7ca66976decd23a4
Shell
muratcesmecioglu/raspisetup
/expand-rootfs.sh
UTF-8
1,305
3.484375
3
[]
no_license
#!/bin/sh # # Taken from http://www.raspberryvi.org/wiki/doku.php/raspi-expand-rootfs # # Modded version of expand-rootfs in raspi-config for Kali 2018.2-nexmon-re4son_kernel # # Get the starting offset of the root partition PART_START=$(parted /dev/mmcblk0 -ms unit s p | grep "^2" | cut -f 2 -d: | sed 's/.$//') [ "$P...
true
5a342e94b6a3350c32ad7a775228a9bb0276e7b8
Shell
vyevenko/Arch_i3
/configs/.bashrc
UTF-8
1,409
3.140625
3
[ "Apache-2.0" ]
permissive
# # ~/.bashrc # # If not running interactively, don't do anything [[ $- != *i* ]] && return alias ls='ls --color=auto' PS1='[\u@\h \W]\$ ' export BROWSER=/usr/bin/firefox export EDITOR=/usr/bin/nano # IK-TECH export IK_PROJECTS=/home/vyeve/projects/ik-tech # Kubernetes source <(kubectl completion bash) export KUBE...
true
f7f7d27a144dbd2d2b24ab75fe3441026aebfaa2
Shell
Carloshp11/Master-in-Data-Science
/psql/Weather Tables/add_column.sh
UTF-8
418
3.21875
3
[]
no_license
#!/bin/bash for filename in ./*.csv; do original_string="$filename" string_to_replace_with='' no_dot="${original_string/'./'/$string_to_replace_with}" #echo $no_dot awk --assign filename="$filename" '{ print $filename ";" $0 }' "$filename" > ./modified_csv/$no_dot sed -i "1s/.*/Geo;Id;Fecha;Tmax;HTmax;T...
true
c74a91c92030a60907d15672e24c0a6b15831d25
Shell
jameskellynet/container-networking-ansible
/roles/opencontrail/files/ifup-vhost
UTF-8
1,755
3.546875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash . /etc/init.d/functions cd /etc/sysconfig/network-scripts . ./network-functions [ -f ../network ] && . ../network CONFIG=${1} need_config "${CONFIG}" source_config if ! /sbin/modprobe vrouter >/dev/null 2>&1; then net_log $"OpenContrail vrouter kernel module not available" exit 1 fi if [ -n "$...
true
29ab9482fee08bd333ea1803ec3cdaf4ff0be8cb
Shell
mariadb-corporation/build-scripts-vagrant
/check_arch.sh
UTF-8
2,109
3.125
3
[]
no_license
cat /proc/cpuinfo | grep cpu | grep POWER if [ $? -ne 0 ] ; then dpkg --version if [ $? == 0 ] ; then dpkg -l | grep libc6 export libc6_ver=`dpkg -l | sed "s/:amd64//g" |awk '$2=="libc6" { print $3 }'` dpkg --compare-versions $libc6_ver lt 2.14 res=$? else export libc6_ver=`rpm --query glibc ...
true
340f6620ea4215c072dbeefc67f70fcea840aba8
Shell
jsunmapr/myazure
/run.sh
UTF-8
1,439
3.34375
3
[]
no_license
#!/bin/bash clear azure config mode arm subscriptionId="f1766062-4c0b-4112-b926-2508fecc5bdf" azure account set $subscriptionId storageAccountResourceGroupName="mapr" storageAccountName="maprui" containerName="deploy" storageAccountKey=$(azure storage account keys list $storageAccountName --resource-group $storageAcc...
true
0fe8552300591c8ddd7fe7219bf1dd7fbf768d3d
Shell
macciomauro/docker-import-database
/restore-db.sh
UTF-8
3,244
4.0625
4
[ "MIT" ]
permissive
#!/bin/bash cd ./ echo "-----------------------------------------------------"; echo "--- Welcome to the Docker Database Restore System ---"; echo "-----------------------------------------------------"; echo "Tell me the .env file name and press [ENTER]:"; read ENV_NAME if [ "${ENV_NAME}" == "" ] then echo "Emp...
true
8c45f1bf05dfa269b5dede473cc4adf86e27ca60
Shell
mandric/omi-automation-sandbox
/testing-dissectors/gen-data
UTF-8
1,024
4.1875
4
[]
no_license
#!/usr/bin/env bash set -o errexit set -o pipefail set -o noclobber PCAP_BASE="${PCAP_BASE-./Directory/Data}" LUA_BASE="${LUA_BASE-./wireshark-lua}" INPUT="$1" OUTPUT_DIR="$2" SELF=$(basename "$BASH_SOURCE") function usage { cat <<EOF Usage: $SELF <path to pcap-to-lua.txt> <output dir> Generate JSON dissector dat...
true
b903083f496297bf94c794a95f2679f962d95eb3
Shell
LIP-Computing/bench_gpu
/job-scripts/submit-gromacs.sh
UTF-8
577
2.6875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash ########### Examples of batch system options for job submition # #$ -l gpu # #$ -l release=el7 # #$ -P HpcGrid ###################################### # STORE Put the shared dir with worker nodes STORE=$HOME # Execution mode for udocker - see documentation EMODE=F3 PATH=${STORE}/bin:$PATH UDOCKER_DIR=${ST...
true
15cf0c2d67ffa2af3118e3dab8a3c474fba4df6c
Shell
bigjimbeef/cgconfigure
/run.sh
UTF-8
7,715
4.125
4
[]
no_license
#!/bin/bash # # cgconfigure # # run.sh # # This script will attempt to automatically configure the parameters # used by cgminer, in a vague attempt to make something a bit more # palatable than just repeatedly editing and rebooting. # # Exit codes. PARSE_ERROR=1 NO_CGMINER=2 CGMINER_NO_PARAM=3 SUCCESS=42 # Warnings. ...
true
7ec70daf371b7448302fc8e9b3cb9d074457fdf3
Shell
troylee/kaldi
/egs/rm/s1/data_prep/run.sh
UTF-8
4,271
3.515625
4
[ "Apache-2.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash # This script should be run from the directory where it is located (i.e. data_prep) # Copyright 2010-2011 Microsoft Corporation # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # ...
true
e51f79bffec5475770c472ca4f191d2f32d3cdb2
Shell
apache/openoffice
/main/desktop/scripts/unopkg.sh
UTF-8
2,807
3.03125
3
[ "Apache-2.0", "CPL-1.0", "bzip2-1.0.6", "LicenseRef-scancode-other-permissive", "Zlib", "LZMA-exception", "LGPL-2.0-or-later", "LicenseRef-scancode-free-unknown", "LicenseRef-scancode-philippe-de-muyter", "OFL-1.1", "LGPL-2.1-only", "MPL-1.1", "X11", "LGPL-2.1-or-later", "GPL-2.0-only", ...
permissive
#!/bin/sh #************************************************************** # # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this fi...
true
6273270e485979419ad47bd966c9195d3bdbb703
Shell
zayceva-nastya/inn
/cleanTrial.sh
UTF-8
330
3.09375
3
[]
no_license
#!/usr/bin/env bash set -euo pipefail echo "Removing: [~/.java/.userPrefs]" ! rm -rf ~/.java/.userPrefs for DIR in ~/.config/JetBrains/*/ do APP=${DIR%*/} echo echo "App: [${APP##*/}]" echo "Removing: [${APP}/eval/]" ! rm -rf "${APP}/eval/" echo "Removing: [${APP}/options/other.xml]" ! rm -rf "${APP}/options/other...
true
ae31c3c1e36e205a594282fa1fec29809d47a544
Shell
pogin503/my-vagrant-setting
/ats2/setup.sh
UTF-8
1,364
2.9375
3
[ "MIT" ]
permissive
#!/bin/bash if [ ! -d "$HOME"/atshome ]; then mkdir -p "$HOME"/atshome; fi pushd "$HOME"/atshome wget --trust-server-name 'http://downloads.sourceforge.net/project/ats2-lang/ats2-lang/ats2-postiats-0.2.1/ATS2-Postiats-0.2.1.tgz?r=http%3A%2F%2Fsourceforge.net%2Fprojects%2Fats2-lang%2Ffiles%2Fats2-lang%2Fats2-postiats...
true
2da44ac67364b686d314bd059555f4b00ba4a9f9
Shell
LukMercury/Bash-Toolkit
/goto.sh
UTF-8
1,107
4.03125
4
[]
no_license
#!/bin/bash # Depending on the parameter passed: # Number: Opens a numbered link from a Bookmarks file in the default browser # Works well together with bookmark.sh (bookmark -l lists your bookmarks) # Path to File: Follows all links (containing http) in that file # Usage: goto <line number> # goto <fil...
true
4cb03e1f99a1e10e234a2a2013f1717950465907
Shell
jmath1/django-infrastructure-cookiecutter
/{{cookiecutter.workspace}}/install_do_inventory.sh
UTF-8
724
3.21875
3
[]
no_license
#/bin/bash unameOut="$(uname -s)" case "${unameOut}" in Linux*) machine=Linux;; Darwin*) machine=Mac;; esac if [ "${machine}" = "Mac" ]; then wget https://github.com/do-community/do-ansible-inventory/releases/download/v2.0.0/do-ansible-inventory_2.0.0_macos_x86_64.tar.gz; tar -C /usr/local/bin -zxvf d...
true
5dbfb0ad93d60ada766d41b4c6ba7c44093f96e5
Shell
yara0204/bash_course
/Sessions/shell-scripting-in-a-nutshell/excercise_4.sh
UTF-8
300
3.328125
3
[ "MIT" ]
permissive
#!/bin/bash if [ -e /etc/shadow ] then echo "Shadow passwords are enabled." if [ -w /etc/shadow ] then echo "You have permissions to edit /etc/shadow." else echo "You do NOT have permissions to edit /etc/shadow." fi else echo "No existe el archivo shadow." fi
true
956c363995f79364023bf3549a7a176d2fee935e
Shell
tyden46/newTrainings
/PathoScope_C1_demo-master/scripts/pathomap_wrapper.sh
UTF-8
2,230
3.828125
4
[]
no_license
#!/bin/bash SN="pathomap_wrapper.sh" echo "[---$SN---] ($(date)) Starting $SN" t1=$(date +"%s") umask 0002 #--- Load the pathoscope module module load pathoscope ########################################################################################## # Setup variables ##############################################...
true
62bd8ab9365933ebbcb99bc751851ec558904c12
Shell
JamesMcGuigan/ecosystem-research
/wasm/wat/webassembly-with-rust/wasmcheckers/build.sh
UTF-8
729
2.625
3
[ "MIT" ]
permissive
#!/bin/bash cd $(dirname $BASH_SOURCE[0]); # cd current directory set -x wat2wasm checkers.wat wasm2wat checkers.wasm -o checkers.wasm.wat wasm2c checkers.wasm -o checkers.wasm.c wasm-objdump checkers.wasm -hdxrs | tee checkers.wasm.objdump ## WABT Tools: https://github.com/WebAssembly/wabt wat-desugar checkers...
true
886b8476175b931ee0f3ad23f91e699c23b9a4fb
Shell
ericpromislow/hcf-tools
/bin/inprogress-upload-diego.bash
UTF-8
1,639
3.484375
3
[]
no_license
#!/bin/bash set -ex # 2016-02-24: # $0 v231 v0.1454.0 36 0.333.0 CF_RELEASE=$1 DIEGO_RELEASE=$2 ETCD_RELEASE=$3 GARDEN_LINUX_RELEASE=$4 if [ -z "$GARDEN_LINUX_RELEASE" ] ; then echo "Usage $(dirname $0) cf-release diego-release etcd-release garden-linux-release" exit 1 fi deployments=$(bosh deployments 2>/...
true
96c53c77351022997d5a02a32df539a14709ee83
Shell
offensivenomad/dotfiles
/bash.d/archives/flutter
UTF-8
148
2.75
3
[]
no_license
#!/bin/bash enableFLUTTER="n" if [[ enableFLUTTER == "y" ]]; then export FLUTTER_ROOT=$HOME/Flutter/Sdk export PATH=$FLUTTER_ROOT/bin:$PATH fi
true
671f80aed8f7fa157fcfdf3bdf7764ceec6d4f3b
Shell
mi3z/system
/scripte/Mac OS/resize.trml
UTF-8
1,311
4.15625
4
[]
no_license
#!/bin/bash ## Made for Mac OS ## This script resizes all images down to 50%. ## Images have to be in the same folder as the scritp. ## New resized images can be found in new subfolder ## To run this script with double click: ## 1. right click on this script -> Information -> Open with: -> select Terminal.app and se...
true
98da8d0e6945a25d8247cd39d5e78d7fb6a6ca89
Shell
mikeakohn/java_grinder
/scripts/centos/build.sh
UTF-8
578
3.25
3
[]
no_license
#/usr/bin/env bash SOURCEDIR=/storage/git VERSION=`date +"%Y-%m-%d"` RPM_VERSION=`date +"%Y.%m.%d"` VERSION_H=`date +"%B %d, %Y"` PROGRAM=java_grinder FULLNAME=${PROGRAM}-${VERSION} cd ${SOURCEDIR} git clone https://github.com/mikeakohn/java_grinder.git cd rm -rf ${FULLNAME} ${FULLNAME}.tar.gz cp -r ${SOURCEDIR}/${P...
true
a0dd6c5eb2064e4151f7d60c93c0685cac4067e3
Shell
flyrainning/Docker_Server_PHP7-Nginx
/bin/start.sh
UTF-8
490
2.84375
3
[]
no_license
#!/bin/sh if [ "$1" = "shell" ]; then /bin/bash exit 0 fi if [ ! -d "/app/log" ]; then mkdir /app/log fi if [ ! -d "/run/php" ]; then mkdir /run/php fi if [ ! -d "/app/log/nginx" ]; then mkdir /app/log/nginx fi if [ ! -d "/app/wwwroot" ]; then mkdir /app/wwwroot echo "<?php phpinfo(); ?>" > /app/wwwroot/index.ph...
true
d9f03959923aa145d57013586c9875719cb4c91c
Shell
cyberwani/linux-setups
/php-install.sh
UTF-8
2,795
3.640625
4
[]
no_license
#!/bin/bash ### if ! which expect &> /dev/null; then echo "Unable to find command 'expect', run ./essentials.sh first" exit fi; ### echo -n "Web user account [default=www-data]: " read USERNAME if [ -z "$USERNAME" ] then USERNAME='www-data' fi ### if [ "$USERNAME" != "www-data" ] then echo -n "Web u...
true
b8796ba9fed1f500125c1fbc697a31a42685d6bc
Shell
josemalcher/shell-script-CursoMarcosCastroSouza
/10-Construindo-menu-com-o-comando-select/script.sh
UTF-8
471
3.390625
3
[]
no_license
#!/bin/bash # Utilizando o comando select para construir menu opcoes=("python" "shell" "Java" "sair") select nome in "${opcoes[@]}" do case $nome in "python") echo "Você escolheu Python" ;; "shell") echo "Você escolheu Shell" ;; "Java") ...
true
988804376bf776e9562a5a875f0c68039c151dc0
Shell
Pseudonymous-coders/CRI-V1
/chromelib/crouton
UTF-8
720
3.171875
3
[ "BSD-3-Clause", "MIT" ]
permissive
#!/bin/bash CGLOBS=~/Downloads/.tmp/globs source $CGLOBS/globvar source $CGLOBS/globfun echo " Installing chroot..." cd $CTEMP installer "$URLCROUTON" $CTEMP/crouton echo "Downloading...." if [ ! -d "$CROUTON" ]; then #Installs crouton sudo su -c "sudo echo 'chrooter binner' | sh crouton -r trusty -t xiwi,extension,e1...
true
d6e9dd0a4b7ad43cf7a89e126b8eae6953fc19c6
Shell
VectorCell/leander-monitor
/app/monitor.sh
UTF-8
1,097
3.34375
3
[]
no_license
#!/bin/bash ZPOOL_FILE="/tmp/zpool.statusfile" FS_FILE="/tmp/filesystem.statusfile" BLK_FILE="/tmp/block.statusfile" SMB_FILE="/tmp/samba.statusfile" SMART_FILE="/tmp/smart.statusfile" sudo rm /tmp/*.statusfile while [ 1 ]; do date > $ZPOOL_FILE echo -e "\n" >> $ZPOOL_FILE sudo zpool list >>...
true
d66d3ce2766bf8b7502eb7c72cd66f300aae17d2
Shell
dlyle65535/dotfiles
/bin/setjh
UTF-8
1,326
3.984375
4
[]
no_license
#! /bin/bash #function list_java_versions { # ls -l /System/Library/Frameworks/JavaVM.framework/Versions | egrep "^l" | grep -v Current #} # #VERSION=$1 #if [[ -z "$@" ]]; then # echo >&2 "You must supply an argument: Try one of these:" # list_java_versions # exit 1 #fi # #JAVA_ROOT=/System/Library/Framewo...
true
459766028bada726637046c0c86c0363e552e1f5
Shell
mishagam/progs
/bash/tfunc.sh
UTF-8
106
2.5625
3
[]
no_license
#!/bin/bash function quit { exit } function e { echo ${1} } e Hello e World quit echo foo
true
c2a1ede4cac44b7520c74f07569d2d9acd09e11c
Shell
antenore/svntogit-community
/python-pyadi-iio/repos/community-any/PKGBUILD
UTF-8
1,249
2.59375
3
[]
no_license
# Maintainer: Filipe Laíns (FFY00) <lains@archlinux.org> _pkgname=pyadi-iio pkgname=python-$_pkgname pkgver=0.0.8 pkgrel=1 pkgdesc='Python interfaces for ADI hardware with IIO drivers' arch=('any') url='https://github.com/analogdevicesinc/pyadi-iio' license=('custom') depends=('libiio' 'python-numpy' 'python-paramiko'...
true
c97628453091b9b19c2c58722df7cbc78d817b6c
Shell
chledowski/word_embeddings_for_nli
/env.sh.default
UTF-8
344
3.171875
3
[]
no_license
#!/usr/bin/env bash function setup () { # Set up working directory here. # DATA_DIR=your_path if [ -z ${DATA_DIR+x} ]; then echo "Set up DATA_DIR variable in env.sh.* file" return 1 fi export PYTHONPATH=$PWD:$PYTHONPATH export DATA_DIR=$DATA_DIR export NLI_DEBUG=0 mkd...
true
7e99ae4695103a74d2b04f160a64fd9dd72f5a2d
Shell
mtk09422/chromiumos-platform-ec
/board/twinkie/build_rw_variant
UTF-8
1,013
3.25
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # # Copyright (c) 2014 The Chromium OS Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # # # Build a Twinkie firmware image with # the regular Twinkie sniffer firmware in the RO partition # and a firmware behaving as a USB ...
true
1b09332249edf67d3fc5bf4fa3a42cf9072b29b3
Shell
elewarr/openbsd-arm64-src-dev
/bin/patch
UTF-8
1,263
3.546875
4
[ "BSD-2-Clause" ]
permissive
#!/usr/bin/env ksh if [ -z "${CROSS_OPENBSD_SRC_HOME}" ]; then echo CROSS_OPENBSD_SRC_HOME is missing exit 1 fi BRANCH=$(git rev-parse --abbrev-ref HEAD) if [ -z "${BRANCH}" ]; then echo BRANCH is unknown exit 1 fi if [ -h "src" ]; then rm "src" fi ln -s "${BRANCH}" "src" for P in $(find "${CROS...
true
9a06f791f516c2fddeea583ad25f3934e2103b9c
Shell
pradand/bash-devops-libs
/libs/gcp/iam/main.sh
UTF-8
3,388
3.65625
4
[ "Apache-2.0" ]
permissive
# Copyright 2020 Leonardo Andres Morales # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # http://www.apache.org/licenses/LICENSE-2.0 # Unless required by applicable law ...
true
2cb7c8321f993a7ec1687f7da9ebb01b0af6e5bb
Shell
nohkwangsun/kube-sugar
/bin/mk.all
UTF-8
695
3.65625
4
[]
no_license
#!/bin/bash # in mk.get function help { echo "Usage: mk.get {resource type} {resource command}" echo " ex) $ mk.all po pod # make new script, ks.get.po for getting pod of in namespaces" echo " $ mk.all sc service # make new script, ks.get.service for getting sc in all namespaces" } if [ $# == 0 ] th...
true
7895a655a93079cc9de5775cbe316da212b5b87c
Shell
openembedded/meta-openembedded
/meta-oe/recipes-support/uthash/uthash/run-ptest
UTF-8
161
3.0625
3
[ "MIT" ]
permissive
#!/bin/sh cd tests for i in test*[0-9] ; do if ./${i} | cmp -s "${i}.ans" - ; then echo "PASS: ${i}" else echo "FAIL: ${i}" fi done
true
49896a74a695dbda2c43e751e359b39ac744a3c8
Shell
bjorndown/wasgeit
/build-and-install.sh
UTF-8
365
2.65625
3
[]
no_license
#!/usr/bin/env bash set -e # stop script on errors set -u # fail on unresolved variables cd frontend npm install # build frontend node node_modules/webpack/bin/webpack.js cd .. docker build -t wasgeit . && \ docker stop wasgeit && \ docker rm wasgeit && \ docker run -dp 80:8080 --name wasgeit -e WASGEIT...
true
127e7f4ed7d45139e58d9da33fa26ea244f9abad
Shell
hydruid/zenoss
/core-autodeploy/4.2.4/misc/zenup.sh
UTF-8
1,294
3.203125
3
[]
no_license
#!/bin/bash ####################################################### # Version: 01a Alpha - 04 # # Status: Functional...Not ready for production # # Notes: Almost ready, just a few bugs to squash # ####################################################### # Create symbolic link ln -...
true
d7dc71da5d28092b0ae4d9e958b78f0a4be9f91f
Shell
apache/incubator-milagro-dta
/build-static.sh
UTF-8
2,856
2.65625
3
[ "Apache-2.0" ]
permissive
#! /bin/bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "License");...
true
bf90218877b4c4b2fe2c6d5cf7ed494532e2ea13
Shell
totte/core
/pkgconfig/PKGBUILD
UTF-8
912
2.859375
3
[]
no_license
# # Chakra Packages for Chakra, part of chakra-project.org # # maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org> # maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org> pkgname=pkg-config pkgver=0.26 pkgrel=1 pkgdesc="A system for managing library compile/link flags" arch=('i686' '...
true
808ee62c4531ae35717e724cfcc4a337159654f5
Shell
tikrai/payments
/docker/postgres/testenv.sh
UTF-8
165
2.75
3
[]
no_license
#!/bin/sh echo "Creating test database" "${psql[@]}" --username $POSTGRES_USER <<-EOSQL CREATE DATABASE "${POSTGRES_DB}_test" ; EOSQL echo "Test database created"
true
4dfad730927eb081d774909f259d7f9e29a0dc7c
Shell
wangyoucao577/go-release-action
/release.sh
UTF-8
6,948
3.703125
4
[ "MIT" ]
permissive
#!/bin/bash -eux # prepare binary_name/release_tag/release_asset_name BINARY_NAME=$(basename ${GITHUB_REPOSITORY}) if [ x${INPUT_BINARY_NAME} != x ]; then BINARY_NAME=${INPUT_BINARY_NAME} fi RELEASE_TAG=$(basename ${GITHUB_REF}) if [ ! -z "${INPUT_RELEASE_TAG}" ]; then RELEASE_TAG=${INPUT_RELEASE_TAG} elif [ ! -z ...
true
3cd30fc1116f4d08eaed4f1f58114c9cb1c65e64
Shell
66pix/lambda-resize
/deploy.sh
UTF-8
1,368
3.671875
4
[ "ISC" ]
permissive
#!/bin/bash set -o nounset set -o errexit ENVIRONMENT=$1 SIZES=$2 DESTINATION_BUCKET="" if [ -z "$LAMBCI_PULL_REQUEST" ] && [ "$LAMBCI_BRANCH" == "master" ]; then DESTINATION_BUCKET=$AWS_LAMBDA_IMAGE_RESIZE_PRODUCTION_BUCKET else DESTINATION_BUCKET=$AWS_LAMBDA_IMAGE_RESIZE_STAGING_BUCKET fi BRANCH=`echo ${LAMBC...
true
7edd8d7473ef105476be8f4f06bc41e086ec1fff
Shell
blackawa/oracle-backup-table-script
/execute_new_ddl.sh
UTF-8
707
3.640625
4
[]
no_license
#!/bin/sh echo "----------------------------------------------" echo "./new_ddl ディレクトリ内のファイルを全てSQLとして" echo "実行する。" echo "----------------------------------------------" # Load Configurations . ./database_configurations.conf CONNECTION_STRING=${USER}/${PASSWORD}@${HOSTNAME}:${PORTNO}/${SERVICENAME} echo echo "${CON...
true
f7b8ad08f07298ae9bfc37e3fece4a2d1d0937b4
Shell
znz/anyenv-update
/bin/anyenv-update
UTF-8
5,061
4.15625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # Summary: Update all **env and all installed plugins. # # Usage: anyenv update [--force] [--verbose|--quiet|--noop] [--without-plugin] [--without-manifest] [<envs>] # # -f/--force Force update # -v/--verbose Verbose mode: print downloading status to stdout # -q/--quiet Qu...
true
82e0af1c552475785996d843d84218ad70c4ce9d
Shell
fgeller/dotfiles
/bash/themes/mine.theme.bash
UTF-8
1,662
3.4375
3
[]
no_license
#!/bin/bash SCM_THEME_PROMPT_DIRTY=" ${bold_red}✘" SCM_THEME_PROMPT_CLEAN=" ${bold_green}✔" SCM_THEME_PROMPT_PREFIX=" " SCM_THEME_PROMPT_SUFFIX=" " SCM_NONE_CHAR="" RVM_THEME_PROMPT_PREFIX="${bold_red}✦ " RVM_THEME_PROMPT_SUFFIX=" ${reset_color}" ERROR="${bold_red}❌ Error \n${normal}" EXIT_STATUS="if [ \$? = 0 ]; the...
true
6ad17299b769397d09dbf39af02fa5f2faee3c4f
Shell
bvermeer/CprE583
/MP-3/sw/host/avi2raw.sh
UTF-8
808
3.515625
4
[]
no_license
#!/bin/sh # Remove existing images rm -rf ../data/image-* # Converts the test.avi file into multiple frames # -r is FPS, -dframes is number of frames, -t is duration ffmpeg -i ../data/test.avi -r 10 -ss 00:00:14.2 -t 00:00:5.0 -s vga ../data/image-%3d.png # Grab the filenames for the frames FILES=`ls ../data/image-...
true
69384f68a8fbd2aa3bcdf858c44e2c0c2b6c53fe
Shell
key4hep/key4hep-spack
/packages/bhlumi/BHLUMI
UTF-8
5,168
3.734375
4
[]
no_license
#!/bin/bash # Wrapper around the BHLUMI/BHLUMI.exe executable help(){ echo "" echo "+++ Wrapper around the BHLUMI.exe executable +++" echo "" echo -e "Usage: \tBHLUMI -e Ecms -n Nevts -f Thmin -t Thmax -x epscms -o output_file [-s seed_file]" echo -e " \tKKMCee -c config_file [-s seed_file]" e...
true
e4db724d4a07a87dfdc232be783235fcf82b7292
Shell
Appdynamics/AWS_Tools
/extension-ctl.sh
UTF-8
5,104
3.96875
4
[]
no_license
#!/bin/bash # # # Copyright (c) AppDynamics Inc # All rights reserved # # Maintainer: David Ryder, david.ryder@appdynamics.com # # AppDynamics AWS Extension download and configuration tool # # Execute as sequence: # 1) check # 2) download - download the extensions # 3) install - install the extensions # 4) prepare - co...
true
941dfb03f525a98e943e45c78f5a9bf0675fe917
Shell
jelix/jelix-langpacks
/build_module_packages.sh
UTF-8
557
3.90625
4
[]
no_license
#!/usr/bin/env bash MODULE="$1" if [ "$MODULE" == "" ]; then echo "Error: module name is missing" exit 1 fi CURRENT_DIR="$(dirname $0)" TARGET_DIR=_dist/$MODULE mkdir -p $CURRENT_DIR/$TARGET_DIR LOCALES=$(ls $CURRENT_DIR/modules/locales/) for LOCALE in $LOCALES; do if [ -d $CURRENT_DIR/modules/locales/...
true
df2bfda0732ae4562a7cc8cb93cae9eb5a35d75f
Shell
djparente/coevol-utils
/src/Get_Global_Map.sh
UTF-8
1,292
3.703125
4
[]
no_license
#!/bin/bash # Daniel J. Parente # MD/PhD Candidate # Swint-Kruse Laboratory # University of Kansas Medical Center scriptPath="." createMapScriptPath=$scriptPath/createMap.py composeRenumScriptPath=$scriptPath/composeRenumberings.py invMapScriptPath=$scriptPath/invertMap.py # Read command line arguments if [ $# -ne 5...
true
4efae79ee38bc7e2016113823ecd84683b61582f
Shell
rverst/pdfmerge
/pdfmerge.sh
UTF-8
1,759
4
4
[ "Unlicense" ]
permissive
#!/bin/bash WAIT_TIMEOUT=300 ROTATE_ODD=0 ROTATE_EVEN=1 REVERSE_EVEN=1 INPUT="/input" OUTPUT="/output" ODD_PREFIX="odd" EVEN_PREFIX="even" ODD="merge_o.pdf" EVEN="merge_e.pdf" MERGED="merged.pdf" function moveToOutput() { local file="$(date +%Y-%m-%d_%H-%M-%S)_$1" mv "$1" "$OUTPUT/$file" && \ printf "done ($f...
true
49bfbc0a4c1839476c5917eff6ec24c7ffcfc9a6
Shell
sbeliakou/kat-example
/courses/docker/05-compose/tasks/7/verify.sh
UTF-8
1,691
2.953125
3
[]
no_license
#!/bin/bash # docker network create php # docker run -d --net php --hostname db --name db -v $(pwd)/mysql:/var/lib/mysql -e MYSQL_ROOT_PASSWORD=root -e MYSQL_USER=admin -e MYSQL_PASSWORD=test -e MYSQL_DATABASE=database -p 8889:3306 mysql:5.7 # docker run -d --net php --hostname web --name web -v $(pwd)/app:/var/www/ht...
true